/*
 boards/SomeriTeam.c
  way more complicated than what's here; there's VRCII and MMC1 as well...

 * MacFCEU 0.5.5
 *
 * Copyright notice for this file:
 *  mmc3.c Copyright (C) 1998 BERO
 *  mmc3.c Copyright (C) 2003 Xodnizel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "mapinc.h"
//#include "MMC1.h"
#include "MMC3and6.h"

#define mode MMC3EXPREGS[0]
/*
#define lastp MMC3EXPREGS[2]
#define lastc MMC3EXPREGS[3]

enum
{
	modeVRCII,
	modeMMC3,
	modeMMC1
};*/

/* ---- mapper 116: Someri Team SL-12 */

/*static void M116PW(uint32 A, uint8 V)
{
	int	x;

	switch(mode&3)
	{
	case modeVRCII:
//		setprg8(0,VRC2prg[0]);	//need to convert VRC2and4... bummer
//		setprg8(0x800,VRC2prg[1]);
		setprg16(0xC000,7);
		break;
	case modeMMC3:
		x = MMC3cmd>>5&2; //blahhhh
		setprg8(A,V&0x3F);
		break;
	case modeMMC1:
		if (mode==lastp)
			break;
		x = MMC1DReg[3]&15;
		if (MMC1DReg[0]&8)
			if (MMC1DReg[0]&4)
			{
				setprg16(0x8000,x);
				setprg16(0xC000,15);
			} else
			{
				setprg16(0x8000,0);
				setprg16(0xC000,x);
			}
		else
			setprg32(0x8000,x>>1);
		break;
	}
	lastp = mode;
}

static void M116CW(uint32 A, uint8 V)
{
	int	x, b = (mode&4)<<6;

	switch(mode&3)
	{
	case modeVRCII:
		if (mode==lastc)
			break;
		x = 0;
		do
			setchr1(x<<10,b); //needs to be `b|VRC2chr[x]`
		while(++x<8);
		break;
	case modeMMC3:
		setchr1(x<<10,b);
		break;
	case modeMMC1:
		if (mode==lastc)
			break;
		if (MMC1DReg[0]&0x10)
		{
			setchr1(0,MMC1DReg[1]);
			setchr1(0x400,MMC1DReg[2]);
		} else
		{
			setchr1(0,MMC1DReg[1]&0x1E);
			setchr1(0x400,MMC1DReg[1]|1);
		}
		break;
	}
	lastc = mode;
}
*/

static void M116CW(uint32 A, uint8 V)
{
	if (mode&2)
		setchr8r(0x10,0);
	else
		setchr1(A,V);
}

static DECLFW(M116Write4)
{
//	if(A==0x4100) {MMC3EXPREGS[0]=V; setmirror(V&1);}
//	else if(A==0x4141) MMC3EXPREGS[1]=V;
//	else if(A==0xA000) MMC3EXPREGS[2]=V;
//	else if(A==0x4106) MMC3EXPREGS[3]=V;
(void)A;
	if (mode==V)
		return;
	mode = V, V&= 3;
	if (V!=1)
	{
		if (MMC3IRQa)
			X6502_IRQEnd(FCEU_IQEXT);
		MMC3IRQa = 0;
	}

	FixMMC3PRG(MMC3cmd);
//	FixMMC3CHR(MMC3cmd);
//	lastp = lastc = ~0;
}

/*static DECLFW(M116Write8)
{
	switch(mode&3)
	{
	case modeVRCII: break; //argh!
	case modeMMC3: if (A&0x4000) MMC3_IRQWrite(A,V); else MMC3_CMDWrite(A,V); break;
	case modeMMC1: MMC1_write(A,V);
	}
}*/

static void M116Power(void)
{
	int	x;

	MMC3EXPREGS[0] = MMC3EXPREGS[2] = MMC3EXPREGS[3] = 0;
	MMC3EXPREGS[1] = 2;

	GenMMC3Power();

	x = 0x4100;
	do
		SetWriteHandler(x,x+0xFF,M116Write4);
	while((x+=0x200)<0x6000);
//	SetWriteHandler(0x8000,0xFFFF,M116Write8);
}

void SomeriTeam_SL12_Init(CartInfo *info)
{
	GenMMC3_Init(info,128,512,0,0); //512,256
	info->Power = M116Power;
	MMC3cwrap = M116CW;
//	MMC3pwrap = M116PW;
	AddExState(MMC3EXPREGS,4,0,"EXPR");
	if (NewCHRRAM(0x10,8192))
		AddExState(CHRptr[0x10],CHRsize[0x10],0,"CHRR");
}
