/*
 input/Zapper.h
  light gun Zapper (probably trademarked)

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

typedef struct ZAPPER/*(32)*/
{
	uint32	mzx, mzy, mzb;
	int32	zap_readbit;
	int32	bogo;
	int32	zappo;
	uint64	zaphit;
} ZAPPER;

extern ZAPPER InputZapperData[3];

extern void FP_FASTAPASS(3) ZapperFrapper(int w,
	uint8 *bg,
	uint8 *spr,
	uint32 linets,
	int final);
extern INPUTC *FCEU_InitZapper(int w);
