/*
 macos/macfceustrs.r
  English version

  Created: 2008.07.18
  Revised: 2014.01.21
*/

resource 'STR#'(strlistid_names,"Names")
{
	{
		"Message Log",
		":cheats",
		":gameinfo",
		":sav",
		":fcs",
		":snaps",
		"",
	}
};

resource 'STR#'(strlistid_errors,"Errors")
{
	{
		"Sorry, this program requires System 7.0 or later.",
	//	"Sorry, this program is 32-bit only.",
	}
};

resource 'STR#'(strlistid_exit,"Exit Strings")
{
	{ /* DOOM II has semi-cute exit messages. */
		"Are you sure you want to leave?  Ill become lonely!",
		"If you exit, Ill... EAT YOUR MOUSE.",
		"You can never really exit, you know.",
		"E-x-i-t?"
	}
};

resource 'STR#'(strlistid_close,"Re-open Strings")
{
	{
		"Close game in progress to open the one given?",
		"Re-open same game file?"
	}
};

resource 'STR#'(strlistid_common,"Common Strings")
{
	{
		"123.wav",
		"state.fc0",
		"custom.pal",
		"Pick a color:",
		"Save State As...",
		"Load State...",
		"Save Movie As...",
		"Load Movie...",
		"Log Sound As...",
		"Stop Sound Logging",
		"Save Palette...",
		"Load Palette...",
		"MacFCEU Open...",
		"PAL 1.6MHz",
		"NTSC 1.6MHz",
		"All 1.6MHz",
		"Clear" /* clear/delete to remove from Recent menu */
	}
};

resource 'STR#'(strlistid_keyscan,"Keymap Strings")
{
	{
		"x",
		"z",
		"g",
		"h",
		"f",
		"d",
		"s",
		"a",
		"r", /* 8- */
		"e",
		"w",
		"q",
		"b",
		"0x0D",
		"v",
		"c",
		"5", /* 16- */
		"6",
		"4",
		"3",
		"2",
		"1",
		"t",
		"y",
		"o", /* 24- */
		"]",
		"0",
		"8",
		"-",
		"7",
		"9",
		"=",
		"\047", /* 32- */
		"j",
		"l (L)",
		"Return",
		"p",
		"i",
		"[",
		"u",
		".", /* 40- */
		"m",
		"n",
		"/",
		",",
		"\134",
		";",
		"k",
		"Command", /* 48- */
		"0x31",
		"Escape",
		"0x33",
		"Bkspc",
		"`",
		"Space",
		"Tab",
		"0x38", /* 56- */
		"0x39",
		"0x3A",
		"0x3B",
		"Control",
		"Option",
		"CapsLck",
		"Shift",
		"Clear", /* 64- */
		"0x41",
		"Keypd +",
		"0x43",
		"Keypd *",
		"0x45",
		"Keypd .",
		"0x47",
		"0x48", /* 72- */
		"Keypd -",
		"0x4A",
		"Enter",
		"Keypd /",
		"0x4D",
		"0x4E",
		"0x4F",
		"Keypd 5", /* 80- */
		"Keypd 4",
		"Keypd 3",
		"Keypd 2",
		"Keypd 1",
		"Keypd 0",
		"Keypd =",
		"0x57",
		"0x58", /* 88- */
		"0x59",
		"0x5A",
		"Keypd 9",
		"Keypd 8",
		"0x5D",
		"Keypd 7",
		"Keypd 6",
		"F11", /* 96- */
		"0x61",
		"F9",
		"F8",
		"F3",
		"F7",
		"F6",
		"F5",
		"F12", /* 104- */
		"0x69",
		"F10",
		"0x6B",
		"F14",
		"0x6D",
		"F13",
		"0x6F",
		"End", /* 112- */
		"F4",
		"Fwd Del",
		"Pg Up",
		"Home",
		"Help",
		"F15",
		"0x77",
		"Power?!", /* 120- */
		"Ar Up",
		"Ar Down",
		"Ar Rgt",
		"Ar Left",
		"F1",
		"Pg Down",
		"F2"
	}
};
