/*
 macos/exceptions.c
  stupid thing to make sure exit is called

  MacFCEU 0.6a4
*/

#include <stdlib.h>

#include <Processes.h>
#include <Patches.h>

#if TARGET_API_MAC_CARBON
 #error This source file is classic-only.
#endif

#define _ExitToShell	0xA9F4

#ifdef env68k
 extern void SetA5ToCurrentA5(void) = {0x2A78, 0x904};
#endif

static UniversalProcPtr	oldES;
/* of course nothing's allocated, to be disposed of, right? */

static void removePatches(void)
{
	/* reset ExitToShell */
	if (oldES==NULL)
		return;
	SetToolTrapAddress(oldES,_ExitToShell);
	oldES = NULL;
}

static void ESPatch(void)
{
#ifdef env68k
	SetA5ToCurrentA5();
#endif
	removePatches();
	exit(-1);
	ExitToShell();
}

void installPatches(void);
void installPatches(void)
{
	oldES = GetToolTrapAddress(_ExitToShell);
	SetToolTrapAddress((UniversalProcPtr)ESPatch,_ExitToShell);

	atexit(removePatches);
}
