/*
 utility/CRC32.c
  for indirect ZLib calls (instead of 'including' zlib.h)

 * MacFCEU 0.6a4
 *
 * Copyright notice for this file:
 *  crc32.c Copyright (C) 2002 Xodnizel
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "../driver.h"
#include <zlib.h>

#ifdef env68k
 #pragma segment files
#endif

uint32 FCEUI_CRC32(uint32 crc,
	const void *buf,
	uint32 len)
{
	return crc32(crc,(const uint8*)buf,len);
}
