/*
 GameGenie.h
  from cart.c, cart.h, fceu.c

 * MacFCEU 0.8a7
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* ---- externs */

extern uint8 GenieStage;

extern readfunc *AReadG;
extern writefunc *BWriteG;

/* ---- prototypes */

void GeniePower(void);

void OpenGenie(void);
void CloseGenie(void);
void FCEU_KillGenie(void);

void FixGenieMap(void);

void FlushGenieRW(void);
