/*
 boards/MMC5.h

  MacFCEU 0.8a7
*/

/* ---- externs */

extern uint8 MMC5ABMode, MMC5CHRHigh, MMC5ExMode;
extern uint8 MMC5Ex, MMC5VROMMask;
extern uint8 *MMC5ExRAM;
extern uint8 *MMC5VROMPtr;

extern uint8 MMC5SplitCtrl;
extern uint8 MMC5SplitY;
extern uint8 MMC5SplitBank;

/* ---- prototypes */

void MMC5_hb(int scanline);

void GenMMC5Close(void);
void GenMMC5Power(void);

void GenMMC5_Init(struct CartInfo*,
	int wsize,
	int battery);

void MMC5HiSync(int32 ts);
void MMC5_ESI(void);

void NSFMMC5_Init();

void FCEU_MMC5SetVolume(int16 v);

/* boards */

void EKROM_Init(struct CartInfo*);
void ELROM_Init(struct CartInfo*);
void ETROM_Init(struct CartInfo*);
void EWROM_Init(struct CartInfo*);

void ExROM_Init(struct CartInfo*); //M5
