/*
 common/input.h

 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _aosdfjk02fmasf
#define _aosdfjk02fmasf

#define MAXBUTTCONFIG   4
typedef struct ButtConfig
{
	uint8	ButtType[MAXBUTTCONFIG];
	uint8	DeviceNum[MAXBUTTCONFIG];
	uint8	ButtonNum[MAXBUTTCONFIG]; //uint16
	uint8	NumC; //uint32
	//uint64 DeviceID[MAXBUTTCONFIG];	/* TODO */
} ButtConfig;

//extern CFGSTRUCT InputConfig[];
//extern ARGPSTRUCT InputArgs[];
void ParseGIInput(struct FCEUGI *GI);

#define BUTTC_KEYBOARD		0x00
#define BUTTC_JOYSTICK		0x01
#define BUTTC_MOUSE		0x02

#define FCFGD_GAMEPAD		1
#define FCFGD_POWERPAD		2
#define FCFGD_HYPERSHOT		3
#define FCFGD_QUIZKING		4

void InitOtherInput(void);
void InputUserActiveFix(void);

#ifdef EXTGUI
extern ButtConfig GamePadConfig[4][10];
extern ButtConfig powerpadsc[2][12];
extern ButtConfig QuizKingButtons[6];
extern ButtConfig FTrainerButtons[12];
#endif

void FCEUD_UpdateInput(void);
#endif
