/*
 general.h

 * MacFCEU 0.6.6
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* added; 2010.03.25 */
#ifdef env68k
 #pragma parameter __D0 _bittst(__A0, __D0)
 extern int _bittst(const void*, int) = {0xE9D0, 0x801}; /*BFEXTU (A0){D0:1},D0*/
 #pragma parameter __D0 _bitclr(__A0, __D0)
 extern int _bitclr(const void*, int) = {0xECD0, 0x801}; /*BFCLR (A0){D0:1}*/
 #pragma parameter __D0 _bitset(__A0, __D0)
 extern int _bitset(const void*, int) = {0xEED0, 0x801}; /*BFCLR (A0){D0:1}*/
#else
 #define _bittst(p,x)		(((const uint8*)(p))[(x)>>3]<<((x)&7)&0x80)
 #define _bitclr(p,x)		do{unsigned _A=x; \
	((uint8*)(p))[_A>>3]&=~(1<<(~_A&7));}while(0)
 #define _bitset(p,x)		do{unsigned _A=x; \
	((uint8*)(p))[_A>>3]|=1<<(~_A&7);}while(0)
#endif

uint32 uppow2(uint32 n);

void MakeFileBase(const char *f); /* was GetFileBase; 2010.04.25 */
int CheckFileOrDirExists(const char *path);

char *FCEU_MakeFName(int type,
	int id1,
	const char *cd1);

#define FCEUMKF_DEFAULT 0	/* FileBase copy added; 2010.04.25 */
#define FCEUMKF_STATE	1
#define FCEUMKF_SNAP	2
#define FCEUMKF_SAV	3
#define FCEUMKF_CHEAT	4
#define FCEUMKF_FDSROM	5
#define FCEUMKF_PALETTE	6
#define FCEUMKF_GGROM	7
#define FCEUMKF_IPS	8
#define FCEUMKF_FDS	9
#define FCEUMKF_MOVIE	10
#define FCEUMKF_NPTEMP	11
