/*
 macos/blitter.c
  used primarily for 2x2 copy

  Created: 2008.08.04
  Revised: 2015.08.03

2011.03.05
*/

#include <QuickDraw.h>

#include "shell.h"
#include "macvideo.h"

#include "../common/dface.h"

/* ---- globals */

extern uint16	myctable15[256];
extern uint32	myctable32[256];

/* ---- code */

 /* 2x1x8bpp (doubler) */
 #define _bcpy2(d,s,c) do{ \
	void *__d=d; const void *__s=s; /*uint32 *__dd=(uint32*)((r)+(uint8*)__d);*/ \
	int32 __z=c,__t; \
	if(__z&2) __t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101; \
	if(__z&4) __t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101, \
		__t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101; \
	while(!((__z+=-8)<0)) { \
		__t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101; \
		__t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101; \
		__t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101; \
		__t=*((uint8*)__s)++*0x101<<16,*((uint32*)__d)++= \
		__t|=*((uint8*)__s)++*0x101; \
	} \
	/*if(__z&1) *(uint16*)__d=*((uint8*)__s)*0x101;*/}while(0)

#define _hcpy(d,s,c,t) do{ \
	void *__d=d; const void *__s=s; int32 __z=c,__t; \
	if(__z&2) __t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++); \
	if(__z&4) __t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++), \
		__t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++); \
	while(!((__z+=-8)<0)) \
		__t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++), \
		__t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++), \
		__t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++), \
		__t=t(*((uint8*)__s)++)<<16, \
			*((uint32*)__d)++=__t|=t(*((uint8*)__s)++); \
	/*if(__z&1) *(uint16*)__d=t(*(uint8*)__s);*/}while(0)

 #define _hcpy2(d,s,c,t) do{ \
	void *__d=d; const void *__s=s; /*uint32 *__dd=(uint32*)((r)+(uint8*)__d);*/ \
	int32 __z=c; \
	if(__z&2) *((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001; \
	if(__z&4) *((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001; \
	while(!((__z+=-8)<0)) { \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001, \
		*((uint32*)__d)++=t(*((uint8*)__s)++)*0x10001; \
	} \
	/*if(__z&1) *(uint32*)__d=t(*(uint8*)__s)*0x10001;*/}while(0)

#define _tcpy(d,s,c,b,t) do{ \
	void *__d=d; const void *__s=s; int32 __z=c; \
	/*if(__z&1L) *((b*)__d)++=t(*((uint8*)__s)++);*/ \
	if(__z&2L) *((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=t(*((uint8*)__s)++); \
	if(__z&4L) *((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=t(*((uint8*)__s)++); \
	if (__z&=-8L) do{ \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=t(*((uint8*)__s)++); \
	} while(__z+=-8L);}while(0)
 #define _tcpy2(d,s,c,b,t) do{ \
	void *__d=d; const void *__s=s; /*b *__dd=(b*)((r)+(uint8*)d);*/ int32 __z=c; \
	/*if(__z&1L) *((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++);*/ \
	if(__z&2L) *((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
	if(__z&4L) *((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++), \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
	if (__z&=-8L) do{ \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
		*((b*)__d)++=*((b*)__d)++=t(*((uint8*)__s)++); \
	} while(__z+=-8L);}while(0)

#define _t(x)					t[x]

/*  IMPORTANT: as of 0.5+, BlitScreen does not handle topleft clipping; */
/* negative positions will write outside normal bounds. */
void BlitScreen(const uint8 *XBuf,
	int rowsize,
	const struct Rect *blitrect,
	const struct PixMap **dstblitmap)
{
	const PixMap	*m;
	const uint8	*s;
	uint8		*d;
	int		b;
	unsigned	r, c = screenshift;

	int		w = blitrect->right-blitrect->left;
	int		h = blitrect->bottom-blitrect->top;

	if (dstblitmap==NULL || (m=*dstblitmap)==NULL
			|| (s=XBuf)==NULL
			|| (d=(uint8*)m->baseAddr)==NULL)
		return;

	b = m->pixelSize;
	r = m->rowBytes&0x3FFF;
	s+= blitrect->top*rowsize+blitrect->left;
	/* window origin is subtracted in bounds so bottom/right make clipping faster */
	d+= r*(blitrect->top-m->bounds.top)
		+(b*((blitrect->left<<c)-m->bounds.left)>>3);

	/* clip to bottom/right */
	if (h>m->bounds.bottom) //(h<<=c)
		h = m->bounds.bottom;
	if ((w<<=c)>m->bounds.right)
		h = m->bounds.right;
	if (h<=0 || (w>>=c)<=0)
		return;
	if ((b-=8)<0)
		return;
	else if (!b)
	{ /* 8bpp */
		if (c)
			do _bcpy2(d,s,w); while(d+=r,s+=rowsize,--h);
		else
			do _bcpy(d,s,w); while(d+=r,s+=rowsize,--h);
	} else if ((b-=8)<=0)
	{ /* 15bpp (2Bpp) */
		const uint16	*t = myctable15;

		if (c)
			do _hcpy2(d,s,w,_t); while(d+=r,s+=rowsize,--h);
		else
			do _hcpy(d,s,w,_t); while(d+=r,s+=rowsize,--h);
	} else
	{ /* assume 24bpp (4Bpp) */
		const uint32	*t = myctable32;

		if (c)
			do _tcpy2(d,s,w,uint32,_t); while(d+=r,s+=rowsize,--h);
		else
			do _tcpy(d,s,w,uint32,_t); while(d+=r,s+=rowsize,--h);
	}
}
