/*
 macos/macvideo.h

  MacFCEU 0.8a1

  Created: 2010.01.08
*/

#ifndef __MACVIDEO_H
 #include "shell.h"

 #define windowid_screen		80

 #if !defined(rez) && !defined(derez)
  extern uint8		mycolorsinvalidate;

  typedef struct video_settings
  {
	uint32		sln, eln, vblsn;
	uint32		slp, elp, vblsp;
	uint8		ss, bgc, fullscreen, vsync;
  } video_settings;

#ifdef TREC_STRUCTS
  static trec	vid_trec[] =
  {
	O_TREC(_uint32,video_settings,sln),
	O_TREC(_uint32,video_settings,eln),
	O_TREC(_uint32,video_settings,vblsn),
	O_TREC(_uint32,video_settings,slp),
	O_TREC(_uint32,video_settings,elp),
	O_TREC(_uint32,video_settings,vblsp),
	O_TREC(_uint8,video_settings,ss),
	O_TREC(_uint8,video_settings,bgc),
	O_TREC(_bool,video_settings,fullscreen),
	O_TREC(_bool,video_settings,vsync),
	{0}
  };
#endif

  extern video_settings	vidset;
  #define srendlinen			vidset.sln
  #define erendlinen			vidset.eln
  #define vblslinesn			vidset.vblsn
  #define srendlinep			vidset.slp
  #define erendlinep			vidset.elp
  #define vblslinesp			vidset.vblsp
  #define screenshift			vidset.ss
  #define screenrefreshsync		vidset.vsync

  #ifdef __MACWINDOWS__
   extern WindowRef	gamewindow;
   extern GDHandle	gamegdevice;
   extern Rect		gameinitbounds;
   extern CTabPtr	gameclut;

   #define gdbitdepth()			(**(**gamegdevice).gdPMap).pixelSize

   int VideoRetraceSync(GDHandle gdh); /* always returns paramErr in Carbon */
  #endif

  int initializescreen(boolean fs);

  void FCEUD_BlitScreen(uint8 *XBuf);

  void videorefresh(void);
  void videocolorsinit(void);

 #endif /*!defined(rez) && !defined(derez)*/
 #define __MACVIDEO_H
#endif
