/*
 macos/tileview.h

  Created: 2009.10.06
  Revised: 2010.04.01
*/

#ifndef __FCEU_DRIVER_H
 #include "../driver.h"
#endif

#ifdef __MACWINDOWS__
 extern WindowRef tilewindow;
#endif

extern uint8 fceutileview;
extern uint8 tileviewcolors[4]; /* please use SetTileViewColors instead */

/* ---- protos */

int BlitTileWindow(int update); /* automatically creates window */
void SetTileViewColors(uint8 *p); /* 4 palette index colors */

int TileViewClick(const struct EventRecord *event);
int ShowHideTileView(int show);
