/*
 movie.h

 * MacFCEU 0.7a3
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

void FCEUMOV_AddJoy(uint8*);
void FCEUMOV_CheckMovies(void);
int FCEUMOV_Stop(void);

void FCEUMOV_EncodeCmd(uint8 cmd,
	uint32 xdata);
void FCEU_DrawMovies(uint8*);

int FCEUMOV_Status(void);
#define FCEUMOV_IsPlaying()	(FCEUMOV_Status()<0)
#define FCEUMOV_IsRecording()	(FCEUMOV_Status()>0)
